Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr
Interface ImportUUIDBehavior

      public interface ImportUUIDBehavior

The possible actions specified by the `uuidBehavior` parameter in `Workspace.importXML(java.lang.String, java.io.InputStream, int)`, `Session.importXML(java.lang.String, java.io.InputStream, int)`, `Workspace.getImportContentHandler(java.lang.String, int)` and `Session.getImportContentHandler(java.lang.String, int)`.

Field Summary
`static int` `IMPORT_UUID_COLLISION_REMOVE_EXISTING`
`static int` `IMPORT_UUID_COLLISION_REPLACE_EXISTING`
`static int` `IMPORT_UUID_COLLISION_THROW`
`static int` `IMPORT_UUID_CREATE_NEW`

Field Detail

### IMPORT_UUID_CREATE_NEW

    static final int IMPORT_UUID_CREATE_NEW

  See Also:
    Constant Field Values

### IMPORT_UUID_COLLISION_REMOVE_EXISTING

    static final int IMPORT_UUID_COLLISION_REMOVE_EXISTING

  See Also:
    Constant Field Values

### IMPORT_UUID_COLLISION_REPLACE_EXISTING

    static final int IMPORT_UUID_COLLISION_REPLACE_EXISTING

  See Also:
    Constant Field Values

### IMPORT_UUID_COLLISION_THROW

    static final int IMPORT_UUID_COLLISION_THROW

  See Also:
    Constant Field Values

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.